import { jsx } from "react/jsx-runtime";
import { TokenARC as TokenARC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenARC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ARC", "data-name": "TokenARC", ...props, children: /* @__PURE__ */ jsx(TokenARC$1, { variant }) });
  }
);
TokenARC.displayName = "TokenARC";
Object.assign(TokenARC, { isGdsIcon: true });
export {
  TokenARC
};
